# StandardVersionsRepoProxy

interface StandardVersionsRepoProxy < T > : Repo (source)

Proxy interface providing low-level access to a versioned database T. Implementations store and retrieve per-table version numbers using a backing storage.

#### Type Parameters

T

The type of the underlying database or storage object

#### Inheritors

AndroidSQLStandardVersionsRepoProxy
KeyValueBasedVersionsRepoProxy
ExposedStandardVersionsRepoProxy

## Properties

database
Link copied to clipboard
abstract val database : T

The underlying database or storage object used for version tracking.

## Functions

getTableVersion
Link copied to clipboard
abstract suspend fun getTableVersion (tableName: String ): Int ?

Returns the current version number for the given tableName, or null if no version is stored.

updateTableVersion
Link copied to clipboard
abstract suspend fun updateTableVersion (tableName: String , version: Int )

Persists the given version number for the given tableName.